@charset "UTF-8";
.tww-finder,
.tww-finder *::after,
.tww-finder *::before {
  --baseunit: calc(1em * (50 / 16));
  --underline-width: calc(1em * (3 / 16));
}

.data-switch-container {
  display: flex;
  margin: 0 var(--additional-spacing);
  margin-top: 1.5em;
  background-color: var(--option-accent-bgr-c);
  gap: 1em;
  align-items: center;
}
.data-switch-container h4 {
  font-size: 1.2rem;
  font-family: var(--tww-finder-ff);
  font-weight: 300;
  color: var(--tww-finder-text-c);
  margin: 0;
  padding: 1em;
  padding-right: 0;
  line-height: 1.5;
}
.data-switch-container .data-switch {
  display: flex;
  align-items: center;
}
.data-switch-container .data-switch label {
  font-size: 150%;
  font-weight: 300;
}
.data-switch-container .data-switch label:has(input:checked) {
  font-weight: 700;
}

.finder-holder {
  background-color: var(--option-accent-bgr-c);
  padding-bottom: 3em;
  margin: 0 var(--additional-spacing);
  position: relative;
}

.tww-finder {
  padding-top: 2em;
  min-height: 24em;
  position: relative;
  width: fit-content;
  margin: 0 auto;
}
.tww-finder .input-holder {
  width: 40ch;
  margin: 0 auto;
  display: flex;
  position: relative;
  padding-left: var(--baseunit);
  font-family: var(--tww-finder-ff);
  font-size: var(--tww-finder-f-size);
}
.tww-finder .input-holder .sub-space,
.tww-finder .input-holder .main.wrapper {
  display: contents;
}
.tww-finder .input-holder::before, .tww-finder .input-holder::after {
  --icon-fs-increase: 2.5;
  --myunit: calc(var(--baseunit) / var(--icon-fs-increase));
  font-size: calc(1em * var(--icon-fs-increase));
  line-height: var(--myunit);
  content: "🌐";
  content: "🌐"/"";
  position: absolute;
  left: 0;
  top: 0;
  height: var(--myunit);
  aspect-ratio: 1;
  background-color: var(--finder-icon-bgr-c);
  color: var(--finder-icon-c);
  text-align: center;
  transition: color 0.3s linear 0.2s, background-color 0.3s linear 0.2s;
}
.tww-finder .input-holder::after {
  background-color: transparent;
  content: "📍";
  content: "📍"/"";
  color: var(--finder-pin-icon-c);
  transition: color 0.3s linear 0.2s;
}
.tww-finder .input-holder.number input.twwf-input-choice.main {
  width: calc(100% - var(--tww-finder-small-width));
  transition: width 0.5s ease-in-out, background-color 0.3s, border-bottom-color 0.3s;
}
.tww-finder .input-holder.number input.twwf-input-choice.addition.number {
  width: var(--tww-finder-small-input-width);
  padding: 0 var(--tww-finder-padding);
  text-align: right;
  transition: width 0.5s ease-in-out, background-color 0.3s, border-bottom-color 0.3s;
}
.tww-finder .input-holder.number span.prefix.number {
  width: var(--tww-finder-small-input-left-dist);
  transition: width 0.5s ease-in-out;
}
.tww-finder .input-holder.number.supplement1 input.twwf-input-choice.main {
  width: calc(100% - 2 * var(--tww-finder-small-width));
  transition: width 0.5s ease-in-out, background-color 0.3s, border-bottom-color 0.3s;
}
.tww-finder .input-holder.number.supplement1 input.twwf-input-choice.addition.supplement1 {
  width: var(--tww-finder-small-input-width);
  padding: var(--tww-finder-padding);
  transition: width 0.5s ease-in-out, background-color 0.3s, border-bottom-color 0.3s;
}
.tww-finder .input-holder.number.supplement1 span.prefix.supplement1 {
  width: var(--tww-finder-small-input-left-dist);
  transition: width 0.5s ease-in-out;
  top: calc(var(--tww-finder-padding) + var(--underline-width));
  position: relative;
}
.tww-finder .input-holder.number.supplement1.supplement2 input.twwf-input-choice.main {
  width: calc(100% - 3 * var(--tww-finder-small-width));
  transition: width 0.5s ease-in-out, background-color 0.3s, border-bottom-color 0.3s;
}
.tww-finder .input-holder.number.supplement1.supplement2 input.twwf-input-choice.addition.supplement2 {
  width: var(--tww-finder-small-input-width);
  padding: var(--tww-finder-padding);
  transition: width 0.5s ease-in-out, background-color 0.3s, border-bottom-color 0.3s;
}
.tww-finder .input-holder.number.supplement1.supplement2 input.twwf-input-choice span.prefix.supplement2 {
  width: var(--tww-finder-small-input-left-dist);
  transition: width 0.5s ease-in-out, background-color 0.3s, border-bottom-color 0.3s;
}
.tww-finder .input-holder span.prefix {
  width: 0;
  color: var(--tww-finder-body-text-c);
  text-align: center;
  display: inline-block;
  overflow: hidden;
  align-self: stretch;
  transition: width 0.5s ease-in-out;
  font-size: var(--tww-finder-f-size);
  font-family: var(--tww-finder-ff);
  padding-top: var(--tww-finder-padding);
  padding-bottom: var(--tww-finder-padding);
  line-height: calc(var(--tww-finder-f-lineheight));
}
.tww-finder .input-holder:focus-within input.twwf-input-choice {
  background-color: var(--finder-input-sub-focus-bgr-c);
  border-bottom-color: var(--finder-underline-sub-focus-color);
  transition: all 0.3s linear 0.2s;
}
.tww-finder .input-holder:focus-within.has-list {
  border-bottom-style: dotted;
}
.tww-finder .input-holder:focus-within::before {
  background-color: var(--finder-icon-focus-bgr-c);
  color: var(--finder-icon-focus-c);
  transition: all 0.3s linear 0.1s;
}
.tww-finder .input-holder:focus-within::after {
  color: var(--finder-pin-icon-focus-c);
  transition: all 0.3s linear 0.1s;
}
.tww-finder .input-holder input.twwf-input-choice {
  background-color: var(--finder-input-passiv-bgr-c);
  box-sizing: border-box;
  height: calc(var(--baseunit));
  font-family: var(--tww-finder-ff);
  appearance: none;
  padding: 0 var(--tww-finder-padding);
  font-size: var(--tww-finder-f-size);
  border: none;
  border-bottom-style: solid;
  border-bottom-color: var(--finder-underline-passive-color);
  border-bottom-width: var(--underline-width);
  border-radius: 0;
  background-color: var(--finder-input-passiv-bgr-c);
  color: var(--tww-finder-text-c);
  line-height: var(--tww-finder-f-lineheight);
  transition: background-color 0.3s linear 0.2s, border-bottom-color 0.3s linear 0.2s;
}
.tww-finder .input-holder input.twwf-input-choice.main {
  width: 100%;
  padding-left: 1ch;
  transition: width 0.5s ease-in-out, background-color 0.3s, border-bottom-color 0.3s;
}
.tww-finder .input-holder input.twwf-input-choice.addition {
  width: 0;
  padding: 0;
  transition: width 0.5s ease-in-out, background-color 0.3s, border-bottom-color 0.3s;
}
.tww-finder .input-holder input.twwf-input-choice.has-list {
  border-bottom-style: dotted;
}
.tww-finder .input-holder input.twwf-input-choice + span.confirmer {
  position: relative;
}
.tww-finder .input-holder input.twwf-input-choice + span.confirmer::after {
  position: absolute;
  display: block;
  right: var(--tww-finder-validation-r-dist);
  font-size: calc(100% * var(--tww-finder-validation-f-scale));
  top: calc((100% - 1em) / 2 - 8%);
  pointer-events: none;
  color: var(--tww-valid-check-c, YellowGreen);
  transition: right 0.5s ease-out;
}
@supports selector(::-webkit-search-cancel-button) {
  .tww-finder .input-holder input.twwf-input-choice.is-confirmed:focus + span.confirmer::after, .tww-finder .input-holder input.twwf-input-choice.is-confirmed:hover + span.confirmer::after {
    right: calc(1ch + var(--tww-finder-validation-r-dist));
    transition: right 0.2s ease-in;
  }
}
.tww-finder .input-holder input.twwf-input-choice.is-confirmed + span.confirmer::after {
  content: "✓";
}
.tww-finder .input-holder input.twwf-input-choice:focus {
  outline: none;
  background-color: var(--finder-input-focus-bgr-c);
  border-bottom-color: var(--finder-underline-focus-color);
  transition: background-color 0.3s linear 0.2s, border-bottom-color 0.3s linear 0.2s;
}
.tww-finder .input-holder ul.tww-input-list {
  list-style: none;
  margin: 0;
  padding: 0;
  position: absolute;
  top: 100%;
  left: var(--baseunit);
  z-index: 5;
  width: calc(100% - var(--baseunit));
  border-top-style: none;
  box-shadow: 0 5px 5px 1px rgba(0, 0, 0, 0.4);
  overflow-y: auto;
  overflow-x: hidden;
  scrollbar-width: thin;
}
.tww-finder .input-holder ul.tww-input-list::-webkit-scrollbar {
  width: 8px;
  background-color: transparent;
}
.tww-finder .input-holder ul.tww-input-list::-webkit-scrollbar-thumb {
  background-color: var(--finder-selection-list-scrollbar-thumb-c);
}
.tww-finder .input-holder ul.tww-input-list::-webkit-scrollbar-track {
  background-color: var(--tww-finder-bg-c);
}
.tww-finder .input-holder ul.tww-input-list li {
  background-color: var(--finder-selection-list-passive-item-bgr-c);
  color: var(--finder-selection-list-passive-item-text-c);
  padding: var(--tww-finder-padding);
  padding-left: 1ch;
  font-family: var(--tww-finder-ff);
  font-size: var(--tww-finder-f-size);
  border-color: var(--structuring-color);
  border-width: 1px;
  border-style: none none dotted none;
  transition: all 0.33s;
  cursor: pointer;
}
.tww-finder .input-holder ul.tww-input-list li strong {
  color: var(--finder-selection-list-passive-strong-item-c);
}
.tww-finder .input-holder ul.tww-input-list li:last-child {
  border: none;
}
.tww-finder .input-holder ul.tww-input-list li:focus, .tww-finder .input-holder ul.tww-input-list li:hover {
  outline: none;
  background-color: var(--finder-selection-list-highlight-item-bgr-c);
  color: var(--finder-selection-list-highlight-item-c);
  transition: all 0.66s;
}
.tww-finder .input-holder ul.tww-input-list li:focus strong, .tww-finder .input-holder ul.tww-input-list li:hover strong {
  color: var(--finder-selection-list-highlight-strong-item-c);
}
.tww-finder .input-holder .sub-space div.addition-wrapper {
  position: relative;
}
.tww-finder .input-holder .sub-space div.addition-wrapper.has-list input.twwf-input-choice {
  border-bottom-style: dotted;
}
.tww-finder .input-holder .sub-space div.addition-wrapper:focus-within ul.tww-input-list {
  display: block;
}
.tww-finder .input-holder .sub-space div.addition-wrapper:focus-within.👁 .hint-bubble {
  z-index: 9999;
  visibility: visible;
  opacity: 1;
  pointer-events: all;
  transition: visibility 0s linear 0s, pointer-events 0s linear 1s, opacity 0.7s linear 0.5s;
}
.tww-finder .input-holder .sub-space div.addition-wrapper:focus-within.👁 .hint-bubble.⁖ {
  visibility: hidden;
  opacity: 0;
  pointer-events: none;
  transition: visibility 0s linear 1s, pointer-events 0s linear 1s, opacity 0.7s linear 0s;
}
.tww-finder .input-holder .sub-space div.addition-wrapper ul.tww-input-list {
  display: none;
  width: 100%;
  left: 0;
}
.tww-finder .input-holder .sub-space div.addition-wrapper ul.tww-input-list li {
  text-align: right;
}
.tww-finder .input-holder .sub-space div.addition-wrapper .hint-bubble {
  --connector-size: 10px;
  --bubble-bgr-c: var(--finder-bubble-bgr-c);
  --bubble-fontsize: 12px;
  position: absolute;
  top: 0;
  left: 50%;
  transform: translate(-50%, calc(-100% - var(--connector-size)));
  font-size: var(--bubble-fontsize);
  padding: calc(var(--bubble-fontsize) / 2);
  background-color: var(--bubble-bgr-c);
  border-radius: 3px;
  font-family: var(--copy-ff);
  color: var(--finder-bubble-text-c);
  min-width: 30ch;
  text-align: center;
  visibility: hidden;
  opacity: 0;
  pointer-events: none;
}
.tww-finder .input-holder .sub-space div.addition-wrapper .hint-bubble:before {
  content: "";
  position: absolute;
  bottom: calc(var(--connector-size) * -1);
  left: calc(50% - var(--connector-size));
  width: 0;
  height: 0;
  border: var(--connector-size) solid transparent;
  border-bottom: none;
  border-top-color: var(--bubble-bgr-c);
}
.tww-finder .input-holder .sub-space div.addition-wrapper .hint-bubble h4 {
  font-size: 120%;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
  white-space: nowrap;
  font-family: var(--copy-ff);
}
.tww-finder .input-holder .sub-space div.addition-wrapper .hint-bubble span.character-list {
  display: block;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
  white-space: nowrap;
}
.tww-finder .input-holder .sub-space div.addition-wrapper .hint-bubble span.character-list em, .tww-finder .input-holder .sub-space div.addition-wrapper .hint-bubble span.character-list strong {
  font-size: 120%;
  display: inline-block;
  padding: 2px 4px;
  color: var(--finder-bubble-key-text-c);
  background-color: var(--finder-bubble-key-bgr-c);
  margin-left: 4px;
  margin-right: 4px;
  border-radius: 4px;
}
.tww-finder .input-holder .sub-space div.addition-wrapper .hint-bubble span.character-list strong em {
  padding: 0;
  font-weight: normal;
  margin: 0;
}
.tww-finder .message-container {
  position: absolute;
  left: 0;
  width: 100%;
  margin: 0;
  padding: 0;
  display: grid;
  margin-top: 1em;
  grid-template-areas: "main";
  grid-auto-rows: minmax(100px, auto);
}
.tww-finder .message-container, .tww-finder .message-container ::after, .tww-finder .message-container ::before {
  --padding:1em;
}
.tww-finder .message-container .message {
  font-size: var(--tww-finder-f-size);
  position: relative;
  visibility: hidden;
  opacity: 0;
  pointer-events: none;
  grid-area: main;
  grid-column: 1/1;
  grid-row: 1/1;
  width: calc(100% - 2 * var(--padding) - var(--tww-finder-small-input-width));
  max-width: calc(100% - 2 * var(--padding) - var(--tww-finder-small-input-width));
  hyphens: auto;
  overflow-wrap: break-word;
  overflow-wrap: anywhere;
  background-color: var(--finder-message-bgr-c);
  padding: var(--padding);
  height: fit-content;
  border-style: solid;
  border-color: var(--finder-message-border-c);
  border-width: 0;
  border-top-width: var(--underline-width);
  border-right-width: var(--tww-finder-small-input-width);
  transition: visibility 0s linear 0.5s, opacity 0.5s linear 0s;
}
.tww-finder .message-container .message.shown {
  visibility: visible;
  pointer-events: all;
  opacity: 1;
  transition: visibility 0s linear 0s, opacity 0.5s linear 0s;
}
.tww-finder .message-container .message::after {
  position: absolute;
  content: "🛈";
  bottom: calc(2 * var(--underline-width));
  right: calc(-1 * var(--tww-finder-small-input-width));
  color: var(--finder-message-icon-default-c);
  width: var(--tww-finder-small-input-width);
  display: block;
  text-align: center;
  transform: scale(1.5);
}
.tww-finder .message-container .message.success {
  padding-top: 1em;
  border-color: var(--finder-message-border-success-c);
}
.tww-finder .message-container .message.success p.hint {
  font-size: 1rem;
}
.tww-finder .message-container .message.success::after {
  content: "✓";
  color: var(--finder-message-icon-success-c);
}
.tww-finder .message-container .message.warn {
  border-color: var(--finder-message-border-warn-c);
}
.tww-finder .message-container .message.warn div.hint {
  font-size: 1rem;
}
.tww-finder .message-container .message.warn::after {
  content: "⚠";
  color: var(--finder-message-icon-warn-c);
}
.tww-finder .message-container .message.error {
  border-color: var(--finder-message-border-error-c);
}
.tww-finder .message-container .message.error::after {
  content: "🛑";
  color: var(--finder-message-icon-error-c);
  transform: scale(2);
}
.tww-finder .message-container .message p {
  margin: 0;
  background-color: transparent;
  color: var(--tww-finder-text-c);
  padding: var(--tww-finder-padding);
  font-family: var(--tww-finder-ff);
  hyphens: auto;
}
.tww-finder .message-container .message p.summary {
  font-weight: 600;
}
.tww-finder .message-container .message p.details {
  font-size: 1rem;
  font-weight: 200;
  line-height: 1.5;
}
.tww-finder .message-container .message.advanced-live {
  padding-bottom: calc(var(--padding) + var(--checkbox-size) + 1.5rem);
}
.tww-finder .message-container .message.advanced-live .live-output {
  position: absolute;
  bottom: 0;
  right: 0;
  width: var(--output-width);
  height: calc(var(--checkbox-size) + 1.5rem);
}
.tww-finder .message-container .message.advanced-live .live-output label {
  color: transparent;
  font-size: 0;
  width: 0;
  height: 0;
  display: inline-block;
}
.tww-finder .message-container .message.advanced-live .live-output output {
  width: calc(var(--output-width) - 1.5ch);
}

.tww-finder label.tww-finder-label {
  display: inline-block;
  font-family: var(--finder-label-ff);
  font-weight: 100;
  font-size: var(--tww-finder-f-size);
  color: var(--ci-color);
  margin-bottom: 0.25em;
  transition: font-weight 0.3s linear 0.2s;
}
.tww-finder label.tww-finder-label.street {
  padding-left: var(--baseunit);
}
.tww-finder label.tww-finder-label.street::after {
  content: ":";
}
.tww-finder label.tww-finder-label.number, .tww-finder label.tww-finder-label.supplement1, .tww-finder label.tww-finder-label.supplement2 {
  visibility: hidden;
  opacity: 0;
}
.tww-finder label.tww-finder-label.number::before, .tww-finder label.tww-finder-label.supplement1::before, .tww-finder label.tww-finder-label.supplement2::before {
  content: " | ";
}
.tww-finder:has(input.main:focus) label.tww-finder-label.street {
  font-weight: 400;
  transition: font-weight 0.3s linear 0.2s;
}
.tww-finder:has(input.number:focus) label.tww-finder-label.number {
  font-weight: 400;
  transition: font-weight 0.3s linear 0.2s;
}
.tww-finder:has(input.supplement1:focus) label.tww-finder-label.supplement1 {
  font-weight: 400;
  transition: font-weight 0.3s linear 0.2s;
}
.tww-finder:has(input.supplement2:focus) label.tww-finder-label.supplement2 {
  font-weight: 400;
  transition: font-weight 0.3s linear 0.2s;
}
.tww-finder:has(.input-holder.number) label.tww-finder-label.street::after {
  visibility: hidden;
  transition: visibility 0s linear 0.2s;
}
.tww-finder:has(.input-holder.number) label.tww-finder-label.number {
  opacity: 1;
  visibility: visible;
  transition: visibility 0s linear 0.2s, opacity 0.3s linear 0.2s;
}
.tww-finder:has(.input-holder.number) label.tww-finder-label.number::after {
  content: ":";
}
.tww-finder:has(.input-holder.number.supplement1) label.tww-finder-label.number::after {
  visibility: hidden;
  transition: visibility 0s linear 0.2s;
}
.tww-finder:has(.input-holder.number.supplement1) label.tww-finder-label.supplement1 {
  opacity: 1;
  visibility: visible;
  transition: visibility 0s linear 0.2s, opacity 0.3s linear 0.2s;
}
.tww-finder:has(.input-holder.number.supplement1) label.tww-finder-label.supplement1::after {
  content: ":";
}
.tww-finder:has(.input-holder.number.supplement1.supplement2) label.tww-finder-label.supplement1::after {
  visibility: hidden;
  transition: visibility 0s linear 0.2s;
}
.tww-finder:has(.input-holder.number.supplement1.supplement2) label.tww-finder-label.supplement2 {
  opacity: 1;
  visibility: visible;
  transition: visibility 0s linear 0.2s, opacity 0.3s linear 0.2s;
}
.tww-finder:has(.input-holder.number.supplement1.supplement2) label.tww-finder-label.supplement2::after {
  content: ":";
}

@media (max-width: 800px) {
  :root {
    --tww-finder-f-size: 1.2rem;
  }
}
@media (max-width: 700px) {
  :root {
    --tww-finder-f-size: 1rem;
  }
}
@media (max-width: 550px) {
  .tww-finder .input-holder {
    width: 30ch;
  }
}
@media (max-width: 390px) {
  .tww-finder .input-holder {
    width: 26ch;
  }
}
@media (max-width: 960px) {
  .tww-finder .input-holder .sub-space div.addition-wrapper .hint-bubble {
    font-size: 10px;
    line-height: 1.1;
    left: 100%;
    transform: translate(-100%, calc(-100% - var(--connector-size)));
  }
  .tww-finder .input-holder .sub-space div.addition-wrapper .hint-bubble::before {
    left: calc(100% - var(--connector-size) - 2ch);
  }
}